package org.kne.cloud.network.monitor;

import java.util.UUID;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.LongAdder;

import org.kne.cloud.network.ipv6.PacketID;

public interface SpeedAndTrafficMonitorData extends MonitorData{

	public TimestampMonitor<UUID> getUploadBandwidth();


	public TimestampMonitor<UUID> getDownloadBandwidth();

	public long getOutSpeed();
	public long getInSpeed();
	public long getOutTraffic();
	public long getInTraffic();
	public long getOutPPS() ;
	public long getInPPS() ;
	
	public long getOutSpeedMax();
	public long getInSpeedMax();
	public long getOutPPSMax();
	public long getInPPSMax();
}
